@import url('https://fonts.googleapis.com/css2?family=Poppins:300;400;500;600;700;800;900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --text-color: #fff;
    --main-color: #0ef;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background: var(--bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

span {
    color: var(--main-color);
}

.btn {
    display: inline-block;
    margin-left: 2rem;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    box-shadow: 0 0 1rem var(--main-color);
    font-size: 1.6rem;
    color: var(--second-bg-color);
    letter-spacing: .1rem;
    font-weight: 600;
    transition: .5s ease;
    margin-left: 2rem;
}

.btn:hover {
    box-shadow: none;
}

.title {
    text-align: center;
    font-size: 4.5rem;
}

.input-box,
.terms-box {
    text-align: center;
    font-size: 1.5rem;
}

.input-box .start {
    width: 50px;
}

.input-box h1 {
    text-align: center;
}

.input-box {
    line-height: 5rem;
}

.input-box .date {
    width: 50px;
}

.project-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.project-box h1 {
    margin-bottom: 10px; /* Jarak antara h1 dan input */
}

.terms {
    text-align: center;
    font-size: 1.5rem;
}

.hire h2 {
    margin-bottom: 3rem;
}

.hire form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.hire form .input-box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.hire#blur.active 
{
    filter: blur(20px);
    pointer-events: none;
    user-select: none;
}

.hire form .input-box input,
.hire form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: var(--second-bg-color);
    border-radius: .8rem;
    margin: .7rem 0;
}

.hire form .input-box input {
    width: 49%;
}

.hire form textarea {
    resize: none;
}

.hire form .btn {
    margin-top: 2rem;
    cursor: pointer;
}

.input-box .date {
    margin-left: 30px;
}

.terms-box {
    display: none;
    position: absolute;
    top: 0;
    left: 50%;
    max-width: 460px;
    background-color: #111;
    color: #fff;
    font-family: 'Poppins', sans-serif;
    padding: 60px 30px;
    border-radius: 20px;
    transform: translateX(-50%);
    z-index: 999;
}

.terms-text {
    padding: 0 20px;
    height: 400px;
    overflow-y: auto;
    font-size: 14px;
    font-weight: 500;
    color: #f1f1f1;
}

.terms-text h2 {
    margin-bottom: 10px;
}

.terms-text h3 {
    margin-bottom: 10px;
}

.terms-text p {
    margin-bottom: 10px;
}

.terms-text::-webkit-scrollbar {
    width: 2px;
    background-color: #282828;
}

.terms-text::-webkit-scrollbar-thumb {
    background-color: #d13639;
}

.terms-text h3 {
    text-transform: uppercase;
}

.terms-box h4 {
    font-size: 13px;
    text-align: center;
    padding: 0 40px;
}

.terms-box h4 span {
    color: #d13639;
}

.buttons {
    display: flex;
    padding: 0 20px;
    justify-content: center;
}

.buttons a {
    color: #fff;
}

.btn {
    display: inline-block;
    margin-left: 2rem;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    box-shadow: 0 0 1rem var(--main-color);
    font-size: 1.6rem;
    color: var(--second-bg-color);
    letter-spacing: .1rem;
    font-weight: 600;
    transition: .5s ease;
    margin-left: 2rem;
}

.btn:hover {
    box-shadow: none;
}

.red-btn {
    background-color: #d13639;
}

.gray-btn {
    background-color: #282828;
}

.terms a {
    font-family: 'Poppins', sans-serif;
}

/* BREAKPOINTS */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
}

@media (max-width: 991px) {
    .header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .admin {
        padding-bottom: 7rem;
    }

    .portfolio {
        padding-bottom: 7rem;
    }

    .hire {
        min-height: auto;
    }

    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width: 768px) {
    #menu-icon {
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
        display: none;
    }

    .navbar.active {
        display: block;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }

    .home {
        flex-direction: column;
    }

    .home-content h3 {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-img img {
        width: 70vw;
        margin-top: 4rem;
    }

    .about {
        flex-direction: column-reverse;
    }

    .about img {
        width: 70vw;
        margin-top: 4rem;
    }

    .admin {
        margin-right: 3rem;
    }

    .admin-container {
        width: min-content;
    }

    .admin h2 {
        margin-bottom: 3rem;
    }

    .portfolio h2 {
        margin-bottom: 3rem;
    }

    .portfolio-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 617px) {
    .portfolio-container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 50%;
    }

    .hire form .input-box input {
        width: 100%;
    }
}

@media (max-width: 375px) {
    .project-box {
        flex-direction: column; /* Menyusun elemen secara vertikal */
        align-items: center;
    }

    .terms-box {
        margin-top: 50vw;
        height: 350px;
    }

    .terms-text {
        padding: 0 20px;
        height: 200px;
        margin-top: 0;
        top: 0;
        overflow-y: auto;
        font-size: 14px;
        font-weight: 300;
        color: #f1f1f1;
    }

    .project-box h1 {
        text-align: center; /* Pusatkan teks h1 */
        margin-left: 20px;
    }
}

@media (max-width: 425px) {
    .input-box h1 {
        text-align: center;
        margin-left: 30px;
    }

        .terms-box {
        margin-top: 50vw;
        height: 500px;
    }

    .terms-text {
        padding: 0 20px;
        height: 300px;
        margin-top: 0;
        top: 0;
        overflow-y: auto;
        font-size: 14px;
        font-weight: 300;
        color: #f1f1f1;
    }
}